main()
{
    //this gets all entities in the map with the targetname "teleport"
    //so when you set a trigger in Radiant with the targetname property this is where that is used
    teleports = GetEntArray("teleport", "targetname");

    //this loops over all the entities that were found with the target name "teleport" and adds the teleport functionality to them
    for(i = 0; i < teleports.size; i++)
    {
        teleports[i] thread teleporter();
    }

    thread mapperPrint();
}

teleporter()
{
    //this gets the script origin you "welded" to the teleport trigger in radiant
    //when you select a trigger and an origin and press W with that red line connecting them
    target = getEnt(self.target, "targetname");

    //this is an infinate loop that waits till any player hits the trigger, then it set sets the players position and angles
    while(1)
    {
        self waittill("trigger", player);
        player setOrigin(target.origin);
        player setPlayerAngles(target.angles);
        wait 0.1;
    }
}

mapperPrint()
{
    //infinite loop that prints the message to all players every 15 mins
    while(1)
    {
        iPrintln("Map created by ^5Oim - ^5Kaz & ^5Raikorn");
        wait 600;
    }
}